import { OnDestroy, OnInit } from '@angular/core';
import { TransactionLinesBaseComponent } from '../core/base/transaction-lines-base.component';
import { TransactionLineInfo } from '@colijnit/transactionapi/build/model/transaction-line-info.bo';
export declare class TransactionLinesComponent extends TransactionLinesBaseComponent implements OnInit, OnDestroy {
    showClass(): boolean;
    customerPortal: boolean;
    set planningLines(value: boolean);
    get planningLines(): boolean;
    private _planningLines;
    showSidePanel: boolean;
    showSidePanelForConfirmationAI: boolean;
    activeTransactionLine: TransactionLineInfo;
    private _subs;
    ngOnInit(): void;
    ngOnDestroy(): void;
    handleLineClick(line: TransactionLineInfo): void;
    getDisplayIndex(i: number, lines: TransactionLineInfo[]): number;
    protected transactionSet(): void;
    protected _checkActiveLine(): void;
}
